---
title: "Year retrospective"
date: 2021-12-28T00:00:00
slug: year-retrospective

---
The last year has been a wild one, with some real highs and lows, so I thought I’d do a short retro on the year and outline some (fairly vague) goals for the next year.

2021 has been both a very short and *extremely* long year. Short, because the first 10 or so weeks of the year I was on parental leave after the birth of my daughter at the end of December '20 and so those first few months are mostly just a blur that doesn’t count. Long, because it’s been exhausting. I’d argue that 2020 was less exhausting - the COVID and remote working situation was stressful, and the period of adjustment made working effectively quite difficult. However 2021 saw many of those same struggles continued, but that was coupled with a degree of malaise from almost everybody I encountered - people were *tired* and it really started to show.

In addition to that, some health scares and struggles within my family made it difficult for me to take a break throughout the year - the only significant holiday I took was cancelled as my daughter was hospitalised. On top of the general exhaustion that comes from raising a newborn (and one that is apparently capable of going without sleep). The result was that by around July, I burned out. Hard. It impacted my work, I pulled myself off the project I was working on, and eventually ended up leaving the company I was working at and took a short break. It mostly worked - I feel much better now than I did then, at least, but recurring burnout is something I have to watch for.

## [Some wins](https://lewisdale.dev/post/year-retrospective/#some-wins)

But it’s not all been doom-and-gloom! I’ve had some great wins this year that I should definitely celebrate.

To start with, I decided to leave a job that honestly wasn’t a good fit. I went into the company with a set of expectations, and in hindsight I think they were in conflict with the expectations that the company had for me. The result being that I was struggling to progress with my career and succeed; recognising that and deciding to leave was definitely the right decision.

Since then, I’ve decided to start freelancing; I like being able to work in lots of different problem spaces, and this definitely gives me the agency and the freedom to do what I enjoy most. It’s been pretty good to begin with - I’ve got some steady work in now, but I’d love to get some more variety in there.

Somebody that I had been helping to mentor was recently successful in applying for a junior engineering role, and I am absolutely overjoyed for them. I find mentoring really rewarding, and it’s always nice to see people achieve that first step into a software engineering career.

## [Goals for 2022](https://lewisdale.dev/post/year-retrospective/#goals-for-2022)

My (vague) goals for the next year are:

- Take some time off
- Try and build my freelance business further
- I’ve got some ideas for products I would like to also build on the side
